org.apache.datasketches.pig.tuple

## Class DataToDoubleSummarySketch.IntermediateFinal

- java.lang.Object
- - org.apache.pig.EvalFunc<org.apache.pig.data.Tuple>
  - - org.apache.datasketches.pig.tuple.DataToSketchAlgebraicIntermediateFinal<Double,org.apache.datasketches.tuple.adouble.DoubleSummary>
    - - org.apache.datasketches.pig.tuple.DataToDoubleSummarySketch.IntermediateFinal

Enclosing class:
  DataToDoubleSummarySketch

    public static class DataToDoubleSummarySketch.IntermediateFinal
    extends DataToSketchAlgebraicIntermediateFinal<Double,org.apache.datasketches.tuple.adouble.DoubleSummary>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.pig.EvalFunc

`org.apache.pig.EvalFunc.SchemaType`

### Field Summary

### Fields inherited from class org.apache.pig.EvalFunc

`log, pigLogger, reporter, returnType`

### Constructor Summary

Constructors
Constructor and Description
`IntermediateFinal()` Constructor for the intermediate and final passes of an Algebraic function.
`IntermediateFinal(String sketchSize)` Constructor for the intermediate and final passes of an Algebraic function.
`IntermediateFinal(String sketchSize, String summaryMode)` Constructor for the intermediate and final passes of an Algebraic function.

### Method Summary

### Methods inherited from class org.apache.datasketches.pig.tuple.DataToSketchAlgebraicIntermediateFinal

`exec`

### Methods inherited from class org.apache.pig.EvalFunc

`allowCompileTimeCalculation, finish, getArgToFuncMapping, getCacheFiles, getInputSchema, getLoadCaster, getLogger, getPigLogger, getReporter, getReturnType, getSchemaName, getSchemaType, getShipFiles, isAsynchronous, needEndOfAllInputProcessing, outputSchema, progress, setEndOfAllInput, setInputSchema, setPigLogger, setReporter, setUDFContextSignature, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntermediateFinal

    public IntermediateFinal()

Constructor for the intermediate and final passes of an Algebraic function. Default sketch size and default mode

#### IntermediateFinal

    public IntermediateFinal(String sketchSize)

Constructor for the intermediate and final passes of an Algebraic function. This will be passed the same constructor arguments as the original UDF.

Parameters:
  `sketchSize` - String representation of sketch size

#### IntermediateFinal

    public IntermediateFinal(String sketchSize,
                             String summaryMode)

Constructor for the intermediate and final passes of an Algebraic function. This will be passed the same constructor arguments as the original UDF.

Parameters:
  `sketchSize` - String representation of sketch size
  `summaryMode` - String representation of mode (sum, min or max)